define({"0":{y:0,u:"../Content/HelixArtifacts/about.html",l:-1,t:"How to use this guide | Helix Artifacts",i:0.0163532527818384,a:"This manual provides information on how to install, configure, and use Helix Artifacts (version 2021.3, released in August 2021)."},"1":{y:0,u:"../Content/HelixArtifacts/overview.html",l:-1,t:"Overview",i:0.0163532527818384,a:"Helix Artifacts is an artifact management tool that uses Helix Core server to store and deliver artifacts to  CI/CD build tools.  Artifacts are delivered through an HTTP(S) connection using standard protocols: Maven Maven/Gradle protocol: for JAR and related artifacts Docker protocol: for Docker ..."},"2":{y:0,u:"../Content/HelixArtifacts/installing.html",l:-1,t:"Installing and configuring Helix Artifacts",i:0.0163532527818384,a:"Installing and configuring Helix Artifacts This section describes the prerequisites,  installation, and configuration of the Helix Artifacts services."},"3":{y:0,u:"../Content/HelixArtifacts/deploying-installing.html",l:-1,t:"Deploying and installing Helix Artifacts",i:0.0228191167463914,a:"This section describes the deployment and installation process for the Helix Artifacts micro-services.  Prerequisites The Helix Artifacts micro-services are a wrapped JAR that runs as a Windows or Linux service. It uses a config.properties file for each micro-service to store the configuration ..."},"4":{y:0,u:"../Content/HelixArtifacts/configuration-micro-services.html",l:-1,t:"Micro-service configuration files",i:0.096482174259425,a:"The Helix Artifacts micro-services are setup with configuration files.  Helix Artifacts Core configuration file Helix Artifacts can also be configured using the Helix Artifacts web UI, see  Configuring Helix Artifacts . The config.properties file for ha-core configures Helix Artifacts micro-service: ..."},"5":{y:0,u:"../Content/HelixArtifacts/configuring-ssl.html",l:-1,t:"Configuring SSL for Helix Artifacts (Optional)",i:0.131017794187374,a:"You must be an admin or super user to configure Helix Artifacts. This section describes how to secure your Helix Artifacts communications over SSL using the HTTPS protocol. This involves creating a Java keystore with a valid SSL certificate. To secure Helix Artifacts with HTTPS SSL access: Create a ..."},"6":{y:0,u:"../Content/HelixArtifacts/logging-in.html",l:-1,t:"Logging in to Helix Artifacts",i:0.01982853139334,a:"To log in to Helix Artifacts web UI: Navigate to the URL supplied by your administrator. For example, http://myhelixartifacts.mydomain.com:1600 Do one of the following: Enter your Username , Password, and select Login. SSO (Single Sign-On): If your administrator has configured your user account for ..."},"7":{y:0,u:"../Content/HelixArtifacts/browsing-repositories.html",l:-1,t:"Browsing repositories",i:0.01982853139334,a:"Browse repositories, folders, and artifacts from Browse in the side-navigation bar. To browse your repositories: Open Browse from the side-navigation bar. Select the protocol to browse from the side-navigation bar. The repository tiles for the protocol are displayed, grouped by storage type.  Now do ..."},"8":{y:0,u:"../Content/HelixArtifacts/searching-repositories.html",l:-1,t:"Searching repositories",i:0.01982853139334,a:"Search repositories for meta data, content, and file paths from Search in the side-navigation bar. To search your repositories: Open Search from the side-navigation bar. Select the protocol to search from the side-navigation bar. Enter your search term and select the Search button. The repository ..."},"9":{y:0,u:"../Content/HelixArtifacts/viewing-keys.html",l:-1,t:"Viewing keys",i:0.0228191167463914,a:"When Maven, NuGet, or another artifact manager contacts Helix Artifacts, by default, Helix Artifacts uses an anonymous user to talk to the Helix server.  Keys are used as an alternative to the anonymous user to enforce Maven/NuGet security. Keys are set it up in the Maven and NuGet configuration ..."},"10":{y:0,u:"../Content/HelixArtifacts/managing-repositories.html",l:-1,t:"Managing repositories ",i:0.01982853139334,a:" You must be an admin or super user to create or edit a repository.  Manage your repositories in Helix Artifacts from Repos in the side-navigation bar. You can: Add a new repository, see  Creating a repository . Edit the configuration of a repository, see  Editing a repository . Obliterate a ..."},"11":{y:0,u:"../Content/HelixArtifacts/creating-repositories.html",l:-1,t:"Creating a repository",i:0.0219716978704431,a:"You must be an admin or super user to create a repository.  You can add a new repository to Helix Artifacts at any time.  To create a new repository:  Open Repos from the side-navigation bar. Select the protocol for the new repository from the side-navigation bar. The repository tiles are displayed. ..."},"12":{y:0,u:"../Content/HelixArtifacts/editing-repositories.html",l:-1,t:"Editing a repository",i:0.0219716978704431,a:"You must be an admin or super user to edit a repository.  You can edit repositories in Helix Artifacts if you need to update repository details.  To edit a repository:  Open Repos from the side-navigation bar. Select the protocol of the repository you want to edit from the side-navigation bar. The ..."},"13":{y:0,u:"../Content/HelixArtifacts/obliterating-repositories.html",l:-1,t:"Obliterating a repository",i:0.0219716978704431,a:"You must be a super user to obliterate a repository.  Obliterate must be used with care, the repository is permanently deleted. An obliterated repository cannot be reinstated, not even by Perforce Support. When you want to retire a repository because you never want to use it again, you can ..."},"14":{y:0,u:"../Content/HelixArtifacts/managing-helix-artifacts.html",l:-1,t:"Managing Helix Artifacts",i:0.0163532527818384,a:"Manage Helix Artifacts from Settings in the side-navigation bar. You can: View the Helix Artifacts service status, see  Status . Configure Helix Artifacts, see  Configuring Helix Artifacts . You must be an admin or super user to configure Helix Artifacts.  View the status of the  registered service ..."},"15":{y:0,u:"../Content/HelixArtifacts/status.html",l:-1,t:"Status",i:0.0209869575971739,a:"Status View the  service status and application build number of Helix Artifacts. To view the status: Open Settings from the side-navigation bar. Select Status. The Helix Artifacts status page is displayed."},"16":{y:0,u:"../Content/HelixArtifacts/configuring.html",l:-1,t:"Configuring Helix Artifacts",i:0.173342403042425,a:"You must be an admin or super user to configure Helix Artifacts. Helix Artifacts can also be configured using the config.properties file for ha-core, see  Helix Artifacts Core configuration file . Configure Helix Artifacts from the web UI. To configure Helix Artifacts from the web UI: Open Settings ..."},"17":{y:0,u:"../Content/HelixArtifacts/viewing-plugin-status.html",l:-1,t:"Registered service plugin status",i:0.0209869575971739,a:"Registered service plugin status View the status of the registered service plugins for Helix Artifacts. To view the status of the registered plugins: Open Settings from the side-navigation bar. Select Plugins. The Helix Artifacts registered plugin status page is displayed."},"18":{y:0,u:"../Content/HelixArtifacts/rest-api-endpoints.html",l:-1,t:"Helix Artifacts Rest API endpoints",i:0.0163532527818384,a:"Helix Artifacts Rest API endpoints This section describes the Helix Artifacts Rest API endpoints."},"19":{y:0,u:"../Content/HelixArtifacts/backend-information-endpoints.html",l:-1,t:"Helix Artifacts Backend information endpoints",i:0.0163532527818384,a:"This section describes the Helix Artifacts service endpoints. Backend status Description GET  http://localhost:1600/api/v1/status A status check for the Helix Artifacts configuration.  Usage example Get the status of the Helix Artifacts configuration status:  curl http://localhost:1600/api/v1/status ..."},"20":{y:0,u:"../Content/HelixArtifacts/protocol-configuration.html",l:-1,t:"Protocol setup",i:0.0163532527818384,a:"Protocol setup This section describes how to setup the protocols for Helix Artifacts."},"21":{y:0,u:"../Content/HelixArtifacts/protocol-maven-configuration.html",l:-1,t:"Maven and Gradle setup",i:0.0302543672278449,a:"This section describes how to setup the Maven and Gradle protocols for Helix Artifacts.  Setting up Maven Setup the Maven protocol for Helix Artifacts. To find the information you need to populate the pom.xml file, Browse to the repository you want to setup and select the Information button in the ..."},"22":{y:0,u:"../Content/HelixArtifacts/protocol-docker-configuration.html",l:-1,t:"Docker setup",i:0.0163532527818384,a:"Docker setup The Docker protocol does not have to be setup.  For instructions on how to run commands for a Docker repository, see  Docker protocol commands ."},"23":{y:0,u:"../Content/HelixArtifacts/protocol-generic-configuration.html",l:-1,t:"Generic setup",i:0.0163532527818384,a:"Generic setup The Generic protocol does not have to be setup.  For instructions on how to run commands for a Generic repository, see  Generic protocol commands ."},"24":{y:0,u:"../Content/HelixArtifacts/protocol-nuget-configuration.html",l:-1,t:"NuGet setup",i:0.0302543672278449,a:"This section describes how to setup the NuGet protocol for Helix Artifacts.  Setup the NuGet protocol for Helix Artifacts using an XML file. To find the information you need to populate the XML file, Browse to the repository you want to setup and select the Information button in the top right of the ..."},"25":{y:0,u:"../Content/HelixArtifacts/protocol-commands.html",l:-1,t:"Protocol commands",i:0.0163532527818384,a:"Protocol commands This section describes the commands you can use to work with artifacts in  Helix Artifacts."},"26":{y:0,u:"../Content/HelixArtifacts/protocol-maven-commands.html",l:-1,t:"Maven protocol commands",i:0.0163532527818384,a:"You must configure the Maven protocol for Helix Artifacts before you can use the Maven commands. For information on configuring the Maven protocol for Helix Artifacts, see  Maven and Gradle setup . Use the Maven commands to work with Maven artifacts in  Helix Artifacts. Downloading dependencies from ..."},"27":{y:0,u:"../Content/HelixArtifacts/protocol-docker-commands.html",l:-1,t:"Docker protocol commands",i:0.0302543672278449,a:"Docker repositories must have lowercase names, do not use uppercase or CamelCase names.  Docker repositories must have a minimum depot path of three folders deep (they must follow the Docker Hub convention and have an organization and an image id layer).  For example, ..."},"28":{y:0,u:"../Content/HelixArtifacts/protocol-generic-commands.html",l:-1,t:"Generic protocol commands",i:0.0302543672278449,a:"Use the Generic commands to work with Generic artifacts in  Helix Artifacts. Suggested repository structure Helix Artifacts uses your repository structure to generate the repository name, group name, artifact id, and version for your repository. It is important that your depot path depth is a ..."},"29":{y:0,u:"../Content/HelixArtifacts/protocol-nuget-commands.html",l:-1,t:"NuGet protocol commands",i:0.0163532527818384,a:"You must configure the NuGet protocol for Helix Artifacts before you can use the NuGet commands. For information on cofiguring the NuGet protocol for Helix Artifacts, see  NuGet setup . Use the NuGet commands to work with NuGet artifacts and resources in  Helix Artifacts. Pushing an artifact To push ..."},"30":{y:0,u:"../Content/HelixArtifacts/contact.html",l:-1,t:"Getting help",i:0.0163532527818384,a:"Perforce Support cannot help you with user account creation or with resetting your password, please contact your company\u0027s  Perforce administrator for help with this.  We look forward to hearing about your experiences with Helix Artifacts, positive or negative, including must-haves or it would be ..."},"31":{y:0,u:"../Content/Shared/glossary.html",l:-1,t:"Glossary",i:0.0163532527818384,a:"Glossary"},"32":{y:0,u:"../Content/HelixArtifacts/license.statements.html",l:-1,t:"License Statements",i:0.0163532527818384,a:"License Statements For licensing information for Helix Artifacts and the third-party software included in this Perforce product, see the Helix Artifacts License file . "},});